Extending Qt Creator Manual | DeviceTypeKitInformation

Extending Qt Creator Manual 4.5.2

# DeviceTypeKitInformation Class

(ProjectExplorer::DeviceTypeKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Functions

| DeviceTypeKitInformation()

## Reimplemented Public Functions

virtual QSet<Core::Id> | availableFeatures(const Kit *k) const override
virtual KitConfigWidget * | createConfigWidget(Kit *k) const override
virtual QVariant | defaultValue(const Kit *k) const override
virtual QSet<Core::Id> | supportedPlatforms(const Kit *k) const override
virtual ItemList | toUserOutput(const Kit *k) const override
virtual QList<Task> | validate(const Kit *k) const override

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

const Core::Id | deviceTypeId(const Kit *k)
Kit::Predicate | deviceTypePredicate(Core::Id type)
const Core::Id | id()
void | setDeviceTypeId(Kit *k, Core::Id type)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Function Documentation

### DeviceTypeKitInformation::DeviceTypeKitInformation()

Default constructs an instance of DeviceTypeKitInformation.

### `[override virtual]` QSet<Core::Id> DeviceTypeKitInformation::availableFeatures(const Kit *k) const

### `[override virtual]` KitConfigWidget *DeviceTypeKitInformation::createConfigWidget(Kit *k) const

### `[override virtual]` QVariant DeviceTypeKitInformation::defaultValue(const Kit *k) const

### `[static]` const Core::Id DeviceTypeKitInformation::deviceTypeId(const Kit *k)

See also setDeviceTypeId().

### `[static]` Kit::Predicate DeviceTypeKitInformation::deviceTypePredicate(Core::Id type)

### `[static]` const Core::Id DeviceTypeKitInformation::id()

### `[static]` void DeviceTypeKitInformation::setDeviceTypeId(Kit *k, Core::Id type)

See also deviceTypeId().

### `[override virtual]` QSet<Core::Id> DeviceTypeKitInformation::supportedPlatforms(const Kit *k) const

### `[override virtual]` ItemList DeviceTypeKitInformation::toUserOutput(const Kit *k) const

### `[override virtual]` QList<Task> DeviceTypeKitInformation::validate(const Kit *k) const